com.rscja.deviceapi

## Class R1HFAndPsamManage

- java.lang.Object
- - com.rscja.deviceapi.R1HFAndPsamManage

-     public class R1HFAndPsamManage
      extends java.lang.Object

  R1设备高频和PSAM操作类
  R1 device HF and PSAM operation interfaces
  第一步:通过`connect(Context context)` 连接读写器。
  Step 1: Connect to the usb of the reader via`connect(Context context)`
  第二步:获取相关接口对象`getHF14443A()`、`getHF14443B()`、`getHF15693()`、`getPSAM()`
  Step 2:Gets the associated interface object `getHF14443A()`、`getHF14443B()`、`getHF15693()`、`getPSAM()`
  Example Usage:
  public void HFDemo() {   R1HFAndPsamManage rfid = R1HFAndPsamManage.getInstance();   if (!rfid.connect(context)) {    //fail    return;   }   IHF14443A ihf14443A = rfid.getHF14443A();   IHF14443B ihf14443B = rfid.getHF14443B();   IHF15693 ihf15693 = rfid.getHF15693();   IPSAM ipsam = rfid.getPSAM();   HF14443RequestEntity entity = ihf14443A.requestTypeA();   if (entity == null) {    //"Card not found!"    return;   }   byte cMode = 0x60:A ; 0x61:B   byte cBlock;   byte[] txtKey;//6bytes   boolean reuslt = ihf14443A.authentication(cMode, cBlock, txtKey);   if (!reuslt) {    //The key validation fail    return;   }   //................   rfid.disconnect();   }

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `connect(Context context)` 连接读写器(Connect to the reader)
    `void` | `disconnect()` 断开连接(disconnect)
    `ConnectionStatus` | `getConnectionStatus()`
    `IHF14443A` | `getHF14443A()` 获取14443A操作对象 (Get the 14443A operation object)
    `IHF14443B` | `getHF14443B()` 获取14443B操作对象 (Get the 14443B operation object)
    `IHF15693` | `getHF15693()` 获取15693操作对象 (Get the 15693 operation object)
    `java.lang.String` | `getHFVersion()` 获取高频版本号(Get the HF version)
    `static R1HFAndPsamManage` | `getInstance()`
    `IPSAM` | `getPSAM()` 获取PSAM操作对象 (Get the PSAM operation object)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static R1HFAndPsamManage getInstance()

    - #### getHF14443A

          public IHF14443A getHF14443A()

      获取14443A操作对象 (Get the 14443A operation object)
      Returns:
        IHF14443A

    - #### getHF14443B

          public IHF14443B getHF14443B()

      获取14443B操作对象 (Get the 14443B operation object)
      Returns:
        IHF14443B

    - #### getHF15693

          public IHF15693 getHF15693()

      获取15693操作对象 (Get the 15693 operation object)
      Returns:
        IHF15693

    - #### getPSAM

          public IPSAM getPSAM()

      获取PSAM操作对象 (Get the PSAM operation object)
      Returns:
        IPSAM

    - #### getConnectionStatus

          public ConnectionStatus getConnectionStatus()

    - #### connect

          public boolean connect(Context context)

      连接读写器(Connect to the reader)
      Returns:
        true:success false:fail

    - #### disconnect

          public void disconnect()

      断开连接(disconnect)

    - #### getHFVersion

          public java.lang.String getHFVersion()

      获取高频版本号(Get the HF version)
      Returns:
        返回版本信息，null为失败 (return version info, null is failure)